Subject: Re: Catastrophic failures in configuration scripts.
From: [email-masked] (Marc Mandel)

11 Sep 1997 20:25:30 -0700
Message-ID: <[email-masked]>
References: <c=US%a=_%p=Eastman%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: "[email-masked]'" <[email-masked]>,
        "Smith, Eric" <[email-masked]>

Eric,

> Occasionally, when attempting to execute configure scripts under bash I
> receive the following error:
> 
> cygwin: Cygwin32: Catastrophic fail - unable to Create pinfo_mutex
> 
> To make sure that it is not something from an earlier execution within
> the shell which is killing me, I have retried the command sequence from
> a fresh invocation of the shell.  The following is a dump of the shell
> text.
> 
> C:\>bash
> bash$ pwd
> 
> bash$ cd src
> bash$ configure
> cygwin: Cygwin32: Catastrophic fail - unable to Create pinfo_mutex
> 
> creating cache ./config.cache
> checking host system type... i386-pc-cygwin32

I got the same type of error today.  I had downloaded the 
source for pdksh-5.2.3.  I ran configure and got the following:

[/pdksh-5.2.3]$ ./configure
loading cache ./config.cache
checking for gcc... gcc
checking whether we are using GNU C... yes
checking whether gcc accepts -g... yes
     [...stuff deleted...]
checking if opendir() opens non-directories... yes
checking if you have /dev/fd/n... no
not updating unwritable cache ./config.cache
creating ./config.status
creating Makefile
cygwin: Cygwin32: Catastrophic fail - unable to Create pinfo_mutex

creating config.h
config.h is unchanged
[/pdksh-5.2.3]$

Now, the makefile was created, so I ran it ("make"). 
There were no errors and a pdk.exe was created.  Unfortunately, when 
I run a command, it never returns back to the prompt.

BTW, I am running stock b18 distribution on winnt ws 4.0 sp2.

Any ideas?

TIA,
marc mandel
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".